these are the hardware design files for the RPH0002 battery connector.
the RPH0002 is a battery pack manufactured by Jinyun Reypu Electronic Technology and used in [OKAI ES400B](https://eu.okai.co/pages/es400b) escooter.

purpose
=======

this connector allows the RPH0002 battery to be used a standalone, independently of the escooter.

usage
=====

plug the connector in either way since it's reversible.
toggle the switch to on, and the nearby LED should light up.
you are ready to use the battery.

solder thick wires on the BAT+ and BAT- holes to use the battery.

use the DC barrel jack connector (5.0 mm OD, 2.1 mm ID) to charge the battery.
the charger should be for a 13S battery pack, up to 54.6V and 5A.
the charge LED indicates when the charger is on.
it does not indicate when the charging is complete though.
for that, use the battery's LCD.
when charging, the % should blink, and the charging level displayed.

when the switch is toggled to off, the battery light turns red.
this clear after 10 minutes.

limitation
==========

the output current is limited to 1 A.
over that, the Battery Management System (BMS) with turn off the output after 5 seconds.
the output will be turned back on after 1 minute.

to fully activate the battery, you need to send specific CAN messages.
I header to the CAN port is available on the board.

mode of operation
=================

the 14 slots on the bottom of the battery are for tab plugs, up to 1.5 mm thick, 6.5 mm wide, and 15 mm high.
these are pretty unusual though.
in a pinch, US plug lugs fit pretty well.
the closest PCB tabs I found are 0.8 mm thick (very usual), 6.35 mm wide (common), and 11.97 mm high (quite high).

the signal of the tab is written next to it on the back.
each signal appears twice because the connector is reversible.
this prevents any issue when the battery is mounted the other way around in the escooter, even if there is only one way to lock it in.
it also allows to have redundant connections, and increases the contact surface, allowing for letting more current to run through.
the two signals are interconnected in the battery, and is this connector.

for the battery to turn on, the output needs to the constantly connected to the sense signal.
this is what the switch does.
to turn it off, just leave the sense signal floating.
when the sense signal is connected to ground, the output will reset periodically and the battery light will blink red.

the battery also has a CAN interface.
it will ACK any input message.
it will output messages when charging, but their format is unknown yet.
